namespace OpenAuth.App.ServiceApp.GoView.Response;

public class ProjectResponse
{
    private string _id;
    private string _projectName;
    private int? _state;
    private string _createTime;
    private string _createUserId;
    private int? _isDelete;
    private string _indexImage;
    private string _remarks;
    private string _content;

    public string Id
    {
        get { return _id; }
        set { _id = value; }
    }

    public string ProjectName
    {
        get { return _projectName; }
        set { _projectName = value; }
    }

    public int? State
    {
        get { return _state; }
        set { _state = value; }
    }

    public string CreateTime
    {
        get { return _createTime; }
        set { _createTime = value; }
    }

    public string CreateUserId
    {
        get { return _createUserId; }
        set { _createUserId = value; }
    }

    public int? IsDelete
    {
        get { return _isDelete; }
        set { _isDelete = value; }
    }

    public string IndexImage
    {
        get { return _indexImage; }
        set { _indexImage = value; }
    }

    public string Remarks
    {
        get { return _remarks; }
        set { _remarks = value; }
    }

    public string Content
    {
        get { return _content; }
        set { _content = value; }
    }
}